package com.bweb.model;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;

/**
 * @Auther: 胡锐
 * @Description: 卡卷导入模型
 * @Date: 2021/3/20 21:03
 */
public class ImportCouponModel {

    @ExcelProperty("卡券编号Id")
    private String codeKey;

    @ExcelProperty("卡券销售码")
    private String salesCode;

    @ExcelProperty("销售有效期")
    @DateTimeFormat("yyyy/MM/dd")
    private String salesEndTime;

    @ExcelProperty("使用有效期")
    private String useEndTime;

    // 错误消息
    private String errorMessage;

    public String getCodeKey() {
        return codeKey;
    }

    public void setCodeKey(String codeKey) {
        this.codeKey = codeKey;
    }

    public String getSalesCode() {
        return salesCode;
    }

    public void setSalesCode(String salesCode) {
        this.salesCode = salesCode;
    }

    public String getSalesEndTime() {
        return salesEndTime;
    }

    public void setSalesEndTime(String salesEndTime) {
        this.salesEndTime = salesEndTime;
    }

    public String getUseEndTime() {
        return useEndTime;
    }

    public void setUseEndTime(String useEndTime) {
        this.useEndTime = useEndTime;
    }

    public String getErrorMessage() {
        return errorMessage;
    }

    public void setErrorMessage(String errorMessage) {
        this.errorMessage = errorMessage;
    }
}
